Subject: bug#18167: 24.4.50; Horizontal scroll bar

From: Drew Adams <[email-masked]>
Date: Fri, 1 Aug 2014 07:07:54 -0700 (PDT)

>  > Is there a way to either get rid of them or at least hide them when
>  > the whole data is within the widow width?  I am finding it visually
>  > dominant and takes screen space.
> 
> (when (fboundp 'horizontal-scroll-bar-mode)
>    (horizontal-scroll-bar-mode -1))

Why not turn it off by default, and let users opt *in* for this
new feature if and when they want it?

I understand that a counter argument is that Emacs newbies will
expect a horizontal scroll bar.  But on that score they will
also expect that it only be present when it is actually useful
(e.g. when the text is wider than the window).

(Disclosure: I have not yet seen the new scroll bar.  I do not
have access to an MS Windows binary more recent than 6/28.)